
JointAttackEasyMass = {};

Vehicle.registerJointType("EasyMass");

function JointAttackEasyMass.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Attachable, specializations);
end;

function JointAttackEasyMass:load(xmlFile)		
end;

function JointAttackEasyMass:delete()
end;

function JointAttackEasyMass:getIsTurnedOnAttachedImplements()
end;

function JointAttackEasyMass:readStream(streamId, connection)
end;

function JointAttackEasyMass:writeStream(streamId, connection)	
end;

function JointAttackEasyMass:mouseEvent(posX, posY, isDown, isUp, button)
end;

function JointAttackEasyMass:keyEvent(unicode, sym, modifier, isDown)
end;

function JointAttackEasyMass:update(dt)
end;

function JointAttackEasyMass:updateTick(dt)
end;

function JointAttackEasyMass:draw()
end;